## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# AttributeVectorEntryExtended Class Reference

`#include <AttributeVectorEntryExtended.hpp>`

Inheritance diagram for AttributeVectorEntryExtended

Collaboration diagram for AttributeVectorEntryExtended:

List of all members.

## Public Methods

- AttributeVectorEntryExtended ( const XMLChVectorType& theName, const XMLChVectorType& theValue, const XMLChVectorType& theType, const XMLChVectorType& theURI = XMLChVectorType(), const XMLChVectorType& theLocalName = XMLChVectorType())
- AttributeVectorEntryExtended ( const XMLCh* theName, const XMLCh* theValue, const XMLCh* theType, const XMLCh* theURI, const XMLCh* theLocalName)
- AttributeVectorEntryExtended ( const XMLCh* theName, const XMLCh* theValue, const XMLCh* theType)
- AttributeVectorEntryExtended ()
- virtual ~AttributeVectorEntryExtended ()
- void clear ()

## Public Attributes

- XMLChVectorType m_uri
- XMLChVectorType m_localName

## Constructor & Destructor Documentation

AttributeVectorEntryExtended::AttributeVectorEntryExtended ( | const XMLChVectorType & theName,
| const XMLChVectorType & theValue,
| const XMLChVectorType & theType,
| const XMLChVectorType & theURI = XMLChVectorType(),
| const XMLChVectorType & theLocalName = XMLChVectorType() )

AttributeVectorEntryExtended::AttributeVectorEntryExtended ( | const XMLCh * theName,
| const XMLCh * theValue,
| const XMLCh * theType,
| const XMLCh * theURI,
| const XMLCh * theLocalName )

AttributeVectorEntryExtended::AttributeVectorEntryExtended ( | const XMLCh * theName,
| const XMLCh * theValue,
| const XMLCh * theType )

AttributeVectorEntryExtended::AttributeVectorEntryExtended ( | )

AttributeVectorEntryExtended::~AttributeVectorEntryExtended ( | )`[virtual]`

## Member Function Documentation

void AttributeVectorEntryExtended::clear ( | )`[]`

Reimplemented from AttributeVectorEntry.

## Member Data Documentation

XMLChVectorType AttributeVectorEntryExtended::m_localName

XMLChVectorType AttributeVectorEntryExtended::m_uri

The documentation for this class was generated from the following file:

- AttributeVectorEntryExtended.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.